# TYCamport3: TY_BYTEARRAY_ATTR Struct Reference

TY_BYTEARRAY_ATTR Struct Reference

byte array data structure More...

`#include <TYApi.h>`

## Public Attributes

int32_t | size
| Bytes array size in bytes.
int32_t | unit_size
int32_t | valid_size

## Detailed Description

byte array data structure

See also
  TYGetByteArray

Definition at line 716 of file TYApi.h.

## Member Data Documentation

## unit_size

int32_t TY_BYTEARRAY_ATTR::unit_size

unit size in bytes for special parse

Definition at line 719 of file TYApi.h.

## valid_size

int32_t TY_BYTEARRAY_ATTR::valid_size

valid size in bytes in case has reserved member, Must be multiple of unit_size, mem_length = valid_size/unit_size

Definition at line 722 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h